/* CTA Button Styler 1.0.1 */

(function($) {

    // Add Color Picker to all inputs that have 'color-field' class
    if ($('.cta-button-color-pick').length > 0){
        console.log('Color Picker Detected');
        $('.cta-button-color-pick').wpColorPicker();
    }

    //clear any potentially destructive styles
    if ($('.cta101>a').length > 0){
        const emt = $('.cta101>a');
        // emt.css('padding','0');
        // emt.css('background','transparent');
        // emt.css('color','#000');
        emt.removeAttr("color")
    }
    //Style the CTA buttons
    if ($('.cta101').length > 0){
        console.log('CTA Button Class Detected');
        //apply styles
        $('.cta101').each(function () {
            const emt = $(this);
            const emt1 = $(this).children('a:first-child')
            emt.removeAttr('style');
            console.log(emt1);
            emt1.css('padding', '0');
            emt1.css('background', 'transparent');
            $.ajax({
                url: ctabtn.ajax_url,
                type: 'post',
                data: {action: 'ctabtn_fetch_styles', my_class: 'cta101'},
                dataType: 'json',
                success : function(data,status){
                    console.log('Object', data);
                    // console.log('ELEMENT', emt);
                    if (typeof data === 'object' && data !== null) {
                        Object.keys(data).forEach(key => {
                            //console.log("\n" + key + ": " + data[key][0] + " | " + data[key][1]);
                            emt.css(key, data[key][0]);
                            emt.hover(
                                function() {
                                    $( this ).css(key,data[key][1]);
                                }, function() {
                                    $( this ).css(key,data[key][0]); //to remove property set it to ''
                                }
                            );
                            if (typeof emt1 !== null){
                                if (key == 'color'){
                                    emt1.css(key, data[key][0]);
                                    emt1.hover(
                                        function() {
                                            $( this ).css(key,data[key][1]);
                                        }, function() {
                                            $( this ).css(key,data[key][0]); //to remove property set it to ''
                                        }
                                    );
                                }
                            }
                        });
                    } else {
                        console.log('ERROR', 'No CTA style data to show');
                    }
                },
                error: function (xhr, status, errorThrown) {
                    let mytxt = '<h3>ERROR</h3><p>' + status + ' [' + errorThrown + ']<br />' + xhr.responseText + '</p>';
                    console.log(mytxt);
                }
            });
        });
        //remove drop-arrow in Divi
        if ($('.cta101').hasClass('menu-item-has-children')){
            //$('.cta101').removeClass('menu-item-has-children');
        }
    }

})( jQuery );


